Skip to main content
GET
/
v2.0
/
locales
/
{localeId}
/
yesnointents
Get Yes/No Intents
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents \
  --header 'X-API-Key: <api-key>'
{
  "yesIntent": {
    "isDisabled": true,
    "name": "pizza",
    "_id": "<string>",
    "rules": [
      "<string>"
    ]
  },
  "noIntent": {
    "isDisabled": true,
    "name": "pizza",
    "_id": "<string>",
    "rules": [
      "<string>"
    ]
  },
  "rejectIntent": {
    "isDisabled": true,
    "name": "pizza",
    "_id": "<string>",
    "rules": [
      "<string>"
    ]
  }
}

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Path Parameters

localeId
string
required

The Id of the Locale

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns an object containing the yesIntent, noIntent, rejectIntent for the given locale

yesIntent
object
noIntent
object
rejectIntent
object